import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a channel to receive content.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-mediapackage-channel.html">the AWS Docs</a>
*/
export function channel(channelProps) {
    return new AwsResource('AWS::MediaPackage::Channel', channelProps, { Arn: 'Arn' });
}
